package com.gingersoft.gsa.cloud.table.mvp.model.table.action;

import android.content.Context;

import com.gingersoft.gsa.cloud.base.table.bean.TableBean;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-09-23
 * 修订历史：2020-09-23
 * 描述：餐檯模式-分檯{@link com.gingersoft.gsa.cloud.table.mvp.ui.activity.TableActivity}
 */
public class SplitTableAction extends TableAction {

    public SplitTableAction(Context context) {
        super(context, "分檯", "請選擇檯號", "");
    }

    @Override
    public void action(TableBean.DataBean dataBean) {
        setOperatContentText(dataBean.getTableName());
        splitTableAction(dataBean);
    }

    @Override
    public boolean filterTableCondition(TableBean.DataBean dataBean) {
        return dataBean.getStatus() != 0;
    }

}
